---
- include: ../openshift-cluster/evaluate_groups.yml

- name: Gather facts
  hosts: oo_etcd_to_config:oo_masters_to_config:oo_nodes_to_config
  roles:
  - openshift_facts

- name: Gather and set facts for first master
  hosts: oo_first_master
  vars:
    openshift_master_count: "{{ groups.oo_masters | length }}"
  pre_tasks:
  - set_fact:
      openshift_master_default_subdomain: "{{ lookup('oo_option', 'openshift_master_default_subdomain') | default(None, true) }}"
    when: openshift_master_default_subdomain is not defined
  roles:
  - openshift_master_facts

- name: Configure docker hosts
  hosts: oo_nodes_to_config
  vars:
    docker_additional_registries: "{{ lookup('oo_option', 'docker_additional_registries') | oo_split }}"
    docker_insecure_registries: "{{ lookup('oo_option',  'docker_insecure_registries') | oo_split }}"
    docker_blocked_registries: "{{ lookup('oo_option', 'docker_blocked_registries') | oo_split }}"
  roles:
  - openshift_facts
  - openshift_docker

- include: ../openshift-node/config.yml
